<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';


$kolvo=15;	//Сколько выводить хозяев.
$kolvo_pit=15;	//Сколько выводить питомцев.


	//Получаем самых богатых хозяев----
	$res=mysql_query("SELECT birja_hozyain AS id, COUNT(*) AS cnt, SUM(birja_cost) AS cost FROM user WHERE in_birja='1' AND birja_hozyain<>'0' GROUP BY birja_hozyain ORDER BY cnt DESC LIMIT $kolvo;");
	$hozyain=Array();
	while($row=mysql_fetch_assoc($res))
	{
		 $rs=mysql_query("SELECT nick FROM user WHERE id='".$row['id']."';");
		 if($rw=mysql_fetch_assoc($rs))$row['nick']=$rw['nick'];
	$hozyain[$row['id']]=$row;
	}
	//---------------------------------
	
	//Получаем самых дорогих питомцев----
	$res=mysql_query("SELECT id,nick,birja_cost,birja_buy_count FROM user WHERE in_birja='1' ORDER BY birja_cost DESC LIMIT $kolvo_pit;");
	$pitomci=Array();
	while($row=mysql_fetch_assoc($res))
	{		
	$pitomci[$row['id']]=$row;
	}
	//---------------------------------





$set['title']='Топ биржи питомника';
include_once 'sys/inc/thead.php';
title();
err();
aut();
?>
<div class="enk_div"> 

Самые богатые хозяева:
<table style="border:solid 1px #cccccc;padding:10px;">
<tr><th>Хозяин</th><th>Цена питомника</th><th>Число питомцев</th></tr>
<?foreach($hozyain AS $key=>$val):?>
<tr><td><a href="/info.php?id=<?=$val['id']?>"><?=$val['nick']?></a></td><td><?=$val['cost']?></td><td><?=$val['cnt']?></td></tr>
<?endforeach?>
</table>
<br /><br /></div>
<div class="infosm"> 
Самые дорогие питомцы:
<table style="border:solid 1px #cccccc;padding:10px;">
<tr><th>Питомец</th><th>Цена питомца</th><th>Число перепродаж</th></tr>
<?foreach($pitomci AS $key=>$val):?>
<tr><td><?=avatar2($val['id'])?><a href="/info.php?id=<?=$val['id']?>"><?=$val['nick']?></a></td><td><?=$val['birja_cost']?></td><td><?=$val['birja_buy_count']?></td></tr>
<?endforeach?>
</table>
</div>
<?
include_once 'sys/inc/tfoot.php';
?>